<div class="container mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="alert text-center" [ngClass]="status=='success'? 'alert-success':'alert-danger'" *ngIf="status">{{message}}</div>
  <form #formLogin="ngForm" (ngSubmit)="onSubmit()" class="col-8 mx-auto">
    <div class="form-group">
      <label for="email">E-mail</label>
      <input type="email"  id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
      [ngClass]="{'is-invalid':email.invalid && email.touched }" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
      <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El e-mail no es válido</div>
    </div>
    <div class="form-group">
      <label for="password">password</label>
      <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password"
       class="form-control" [ngClass]="{'is-invalid':password.invalid && password.touched }" required>
    </div>
    <div class="form-group">
      <input type="submit" value="Entrar" class="btn btn-primary" [disabled]="formLogin.form.invalid">
    </div>
  </form>
</div>
